<!-- markdownlint-disable MD033 MD041 -->

<div id="top" align="center">

<img src="https://cdn.jsdelivr.net/gh/easy-temps/easy-static/cover.png" alt="cover" />

<h1 align="center">nuxt-vant-mobile</h1>

一个基于 Nuxt _⁴_ 生态系统的移动端 Web 应用模板。

一个基于 Nuxt _⁴_ 生态系统的移动端 Web 应用模板，帮助你快速完成业务开发。

<p>
<img src="https://img.shields.io/github/license/easy-temps/nuxt-vant-mobile" alt="license" />
<img src="https://img.shields.io/github/package-json/v/easy-temps/nuxt-vant-mobile" alt="version" />
<img src="https://img.shields.io/github/repo-size/easy-temps/nuxt-vant-mobile" alt="repo-size" />
<img src="https://img.shields.io/github/languages/top/easy-temps/nuxt-vant-mobile" alt="languages" />
<img src="https://img.shields.io/github/issues-closed/easy-temps/nuxt-vant-mobile" alt="issues" />
</p>

[文档](https://easy-temps.github.io/easy-docs/nuxt3-vant-mobile/) / [交流](https://github.com/easy-temps/vue3-vant-mobile/issues/56) / [反馈](https://github.com/easy-temps/nuxt-vant-mobile/issues)

🖥 <a href="https://nuxt-vant-mobile.netlify.app">在线预览</a>

[![Netlify Status](https://api.netlify.com/api/v1/badges/1eb0d3f7-69a1-4972-a2b7-9e317ffa5c63/deploy-status)](https://app.netlify.com/sites/nuxt-vant-mobile/deploys)

</div>

## 特性

- 💚 [Nuxt](https://nuxt.com/) - SSR、ESR、基于文件的路由、组件自动导入、模块等

- ⚡️ Vite - 即时热更新

- 🎨 [UnoCSS](https://github.com/unocss/unocss) - 即时按需原子化 CSS 引擎

- 😃 使用纯 CSS 的任意图标集，由 [UnoCSS](https://github.com/unocss/unocss) 提供支持

- 🔥 `<script setup>` 语法

- 🌍 [国际化支持](./i18n/locales)
- 📑 [布局系统](./app/layouts)

- 📥 API 自动导入 - 用于 Composition API 和自定义组合式函数

- 🦾 当然支持 TypeScript

- ☁️ 零配置部署在 [Netlify](https://www.netlify.com) 上

## Nuxt 模块

- [Vant](https://github.com/youzan/vant) - 移动端 Vue UI 库
- [Nuxt ESLint](https://github.com/nuxt/eslint) - Nuxt 的 ESLint 相关包集合
- [i18n](https://github.com/nuxt-modules/i18n) - Nuxt 的国际化模块
- [ColorMode](https://github.com/nuxt-modules/color-mode) - 支持自动检测的深色和浅色模式
- [UnoCSS](https://github.com/unocss/unocss) - 即时按需原子化 CSS 引擎
- [DevTools](https://github.com/nuxt/devtools) - 释放 Nuxt 开发者体验

## IDE

我们推荐使用 [VS Code](https://code.visualstudio.com/) 搭配 [Volar](https://github.com/johnsoncodehk/volar) 以获得最佳体验（如果你安装了 [Vetur](https://vuejs.github.io/vetur/)，建议禁用它）

## 立即尝试

### GitHub 模板

[从 GitHub 上使用此模板创建仓库](https://github.com/easy-temps/nuxt-vant-mobile/generate)

### 克隆到本地

如果你更喜欢手动操作并保持更清晰的 git 历史

```bash
npx tiged easy-temps/nuxt-vant-mobile my-nuxt-app
cd my-nuxt-app
pnpm i # 如果你没有安装 pnpm，请运行：npm install -g pnpm
```

## 使用方法

### 开发

只需运行并访问 <http://localhost:3000>

```bash
pnpm dev
```

### 构建

要构建应用，运行

```bash
pnpm build
```

你将在 `.output` 目录中看到生成的可以部署的文件。

